!
! $Header$
!
SUBROUTINE bernoui (ngrid,nlay,pphi,pecin,pbern)
  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
USE paramet_mod_h
IMPLICIT NONE

  !=======================================================================
  !
  !   Auteur:   P. Le Van
  !   -------
  !
  !   Objet:
  !   ------
  ! calcul de la fonction de Bernouilli aux niveaux s  .....
  ! phi  et  ecin  sont des arguments d'entree pour le s-pg .......
  !      bern       est un  argument de sortie pour le s-pg  ......
  !
  !    fonction de Bernouilli = bern = filtre de( geopotentiel +
  !                          energ.cinet.)
  !
  !=======================================================================
  !
  !-----------------------------------------------------------------------
  !   Decalrations:
  !   -------------
  !


  !
  !   Arguments:
  !   ----------
  !
  INTEGER :: nlay,ngrid
  REAL :: pphi(ngrid*nlay),pecin(ngrid*nlay),pbern(ngrid*nlay)
  !
  !   Local:
  !   ------
  !
  INTEGER :: ijl
  !
  !-----------------------------------------------------------------------
  !   calcul de Bernouilli:
  !   ---------------------
  !
  DO ijl = 1,ngrid*nlay
     pbern( ijl ) =  pphi( ijl ) + pecin( ijl )
  END DO
  !
  !-----------------------------------------------------------------------
  !   filtre:
  !   -------
  !
  CALL filtreg( pbern, jjp1, llm, 2,1, .true., 1 )
  !
  !-----------------------------------------------------------------------
  RETURN
END SUBROUTINE bernoui
